﻿@model WorkspaceModel

<div class="table-responsive rounded">
    <div class="mb-2 d-flex">
        <input id="user-email-search" type="email" class="form-control w-50" placeholder="Enter user email to invite" />
        @if (ViewBag.AddUser)
        {
            <button class="btn btn-primary ms-2" onclick="inviteUser()"> Invite User</button>
        }
        else
        {
            <button class="btn btn-light ms-2 no-access"> Invite User</button>
        }
    </div>
    <table class="table search-table align-middle text-nowrap">
        <thead class="header-item">
            <tr>
                <th>Name</th>
                <th>Email</th>
                <th>Roles</th>
                <th class="text-center">Action</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.WorkspaceMembers)
            {
                var isOwner = Model.CreatedById == item.UserId;
                <tr class="search-items">

                    <td>
                        <div class="d-flex align-items-center">
                            @await Html.PartialAsync("_UserAvatar", item.User)
                            <div class="ms-3">
                                <div class="user-meta-info">
                                    <h6 class="user-name mb-0">@item.User.Name</h6>
                                    <span class="user-work fs-2">@item.Title</span>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td>
                        <span class="usr-email-addr">@item.User.Email</span>
                    </td>
                    <td>
                        @if (isOwner || !ViewBag.AddUser)
                        {
                            <input type="text" class="form-control" disabled value="@Model.WorkspaceRoles.Single(x => x.Id == item.RoleId).Name" />
                        }
                        else 
                        {
                            <select class="form-select" onchange="updateUserRole('@item.User.Id', this.value)">
                                @foreach (var availableRole in Model.WorkspaceRoles)
                                {
                                    var isSelected = item.RoleId == availableRole.Id;
                                    <option value="@availableRole.Id" selected="@isSelected"> @availableRole.Name </option>
                                }
                            </select>
                        }
                    </td>
                    <td class="text-center">
                        @if (!isOwner)
                        {
                            @if (ViewBag.RemoveUser)
                            {
                                <button class="btn btn-outline-danger btn-sm" onclick="removeWorkspaceUser(@Model.Id, '@item.User.Id')"> <i class="fa fa-trash-can"></i></button>
                            }
                            else
                            {
                                <button class="btn btn-light btn-sm no-access"> <i class="fa fa-trash-can text-muted"></i></button>
                            }
                        }
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
